Multivariate Pattern Analysis in Python

# mvpa2.base.dataset.stack_by_unique_feature_attribute

`mvpa2.base.dataset.``stack_by_unique_feature_attribute`(dataset, fa_label)

  Performs vstack based on unique values in fa_label

  Parameters:

  dataset: Dataset

  > input dataset.

  fa_label: str

  > feature attribute label according which samples in dataset are stacked.

  Returns

  stacked_dataset: Dataset

  > A dataset where matching samples are joined. This dataset has a sample attribute fa_label added and the feature attribute fa_label removed. If the number of matching features differs for values in sa_label and exception is raised.